Lion compatibility; native or not?

Reader Greg Monroe looks to the future. He writes:

I’ve been following your articles on what will and won’t work with Lion and I understand that PowerPC applications that I now use with Rosetta are on the “won’t work” list. But how do I tell which of my applications are PowerPC and which are Universal or Intel native?

If you want to check on a single application, just highlight its icon and press Command-I to produce the Info window. In that Info window look at the Kind entry. If it reads PowerPC then that application requires Rosetta to run, meaning that it’s incompatible with Lion.

To see a list of all the applications on your Mac that will go phutt when you upgrade to Lion, hold down the Option key, click on the Apple menu, and select System Profiler. In the window that appears, select the Applications entry, which appears under the Software heading. Click on the Kind column to sort your applications by kind (meaning Classic, Intel, PowerPC, and Universal). Seek out any that read Classic or PowerPC. These are the applications that will be incompatible with Lion. (Those Classic applications are also incompatible with Snow Leopard.)

At this point it’s worth your while to determine which of these applications you can’t live without. Hopefully those that you require can be upgraded to a compatible version. If you find some that can’t, you have to then make the kind of decision I outlined in Lion and the Rosetta Dead-end.

Product mentioned in this article

(1 items)

  • OS X Lion (10.7)
    $30.00

    At $30 for all of your Macs, the only reason not to upgrade to Lion is because you rely on old PowerPC-based apps that won’t run on it. Otherwise, it’s a great price for a major upgrade.

    Get It for $30.00

Subscribe to the Help Desk Newsletter

Comments